Internet advice:

"This problem is caused by the package maintainers enabling fortify.

To solve it you can... disable fortify."

Uh no thanks ;)

Follow

Happy ending: found the real problem, submitted a patch.

Upstream (which was not the one giving "internet advice", those were third parties) improved the patch and applied it, so starting with the next version no-one will have to disable fortify anymore.

Sign in to participate in the conversation
Merveilles

Revel in the marvels of the universe. We are a collective of forward-thinking individuals who strive to better ourselves and our surroundings through constant creation. We express ourselves through music, art, games, and writing. We also put great value in play. A warm welcome to any like-minded people who feel these ideals resonate with them.